Package org.drinkless.tdlib

# Class TdApi.ChatInviteLinkInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatInviteLinkInfo

Enclosing class:
  `TdApi`

public static class TdApi.ChatInviteLinkInfo extends TdApi.Object
Contains information about a chat invite link.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `accentColorId`
  Identifier of the accent color for chat title and background of chat photo.
  `int`
  `accessibleFor`
  If non-zero, the amount of time for which read access to the chat will remain available, in seconds.
  `long`
  `chatId`
  Chat identifier of the invite link; 0 if the user has no access to the chat before joining.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `createsJoinRequest`
  True, if the link only creates join request.
  `String`
  `description`
  Chat description.
  `boolean`
  `isPublic`
  True, if the chat is a public supergroup or channel, i.e.
  `int`
  `memberCount`
  Number of members in the chat.
  `long[]`
  `memberUserIds`
  User identifiers of some chat members that may be known to the current user.
  `TdApi.ChatPhotoInfo`
  `photo`
  Chat photo; may be null.
  `TdApi.ChatInviteLinkSubscriptionInfo`
  `subscriptionInfo`
  Information about subscription plan that must be paid by the user to use the link; may be null if the link doesn't require subscription.
  `String`
  `title`
  Title of the chat.
  `TdApi.InviteLinkChatType`
  `type`
  Type of the chat.
  `TdApi.VerificationStatus`
  `verificationStatus`
  Information about verification status of the chat; may be null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatInviteLinkInfo()`
  Contains information about a chat invite link.
  `ChatInviteLinkInfo(long chatId, int accessibleFor, TdApi.InviteLinkChatType type, String title, TdApi.ChatPhotoInfo photo, int accentColorId, String description, int memberCount, long[] memberUserIds, TdApi.ChatInviteLinkSubscriptionInfo subscriptionInfo, boolean createsJoinRequest, boolean isPublic, TdApi.VerificationStatus verificationStatus)`
  Contains information about a chat invite link.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier of the invite link; 0 if the user has no access to the chat before joining.

  - ### accessibleFor

    public int accessibleFor
    If non-zero, the amount of time for which read access to the chat will remain available, in seconds.

  - ### type

    public TdApi.InviteLinkChatType type
    Type of the chat.

  - ### title

    public String title
    Title of the chat.

  - ### photo

    @Nullable public TdApi.ChatPhotoInfo photo
    Chat photo; may be null.

  - ### accentColorId

    public int accentColorId
    Identifier of the accent color for chat title and background of chat photo.

  - ### description

    public String description
    Chat description.

  - ### memberCount

    public int memberCount
    Number of members in the chat.

  - ### memberUserIds

    public long[] memberUserIds
    User identifiers of some chat members that may be known to the current user.

  - ### subscriptionInfo

    @Nullable public TdApi.ChatInviteLinkSubscriptionInfo subscriptionInfo
    Information about subscription plan that must be paid by the user to use the link; may be null if the link doesn't require subscription.

  - ### createsJoinRequest

    public boolean createsJoinRequest
    True, if the link only creates join request.

  - ### isPublic

    public boolean isPublic
    True, if the chat is a public supergroup or channel, i.e. it has a username or it is a location-based supergroup.

  - ### verificationStatus

    @Nullable public TdApi.VerificationStatus verificationStatus
    Information about verification status of the chat; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatInviteLinkInfo

    public ChatInviteLinkInfo()
    Contains information about a chat invite link.

  - ### ChatInviteLinkInfo

    public ChatInviteLinkInfo(long chatId, int accessibleFor, TdApi.InviteLinkChatType type, String title, TdApi.ChatPhotoInfo photo, int accentColorId, String description, int memberCount, long[] memberUserIds, TdApi.ChatInviteLinkSubscriptionInfo subscriptionInfo, boolean createsJoinRequest, boolean isPublic, TdApi.VerificationStatus verificationStatus)
    Contains information about a chat invite link.
    Parameters:
      `chatId` - Chat identifier of the invite link; 0 if the user has no access to the chat before joining.
      `accessibleFor` - If non-zero, the amount of time for which read access to the chat will remain available, in seconds.
      `type` - Type of the chat.
      `title` - Title of the chat.
      `photo` - Chat photo; may be null.
      `accentColorId` - Identifier of the accent color for chat title and background of chat photo.
      `description` - Chat description.
      `memberCount` - Number of members in the chat.
      `memberUserIds` - User identifiers of some chat members that may be known to the current user.
      `subscriptionInfo` - Information about subscription plan that must be paid by the user to use the link; may be null if the link doesn't require subscription.
      `createsJoinRequest` - True, if the link only creates join request.
      `isPublic` - True, if the chat is a public supergroup or channel, i.e. it has a username or it is a location-based supergroup.
      `verificationStatus` - Information about verification status of the chat; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR